// Jason Brillante "Damdoshi"
// Hanged Bunny Studio 2014-2015
//
// KoBang!

#include		"kobang.hpp"

void			kobang::changecolor(void)
{
  randomize = 0;
  switch (rand() % 7)
    {
    case 0:
      rcolor = 255;
      gcolor = 0;
      bcolor = 0;
      return ;
    case 1:
      rcolor = 0;
      gcolor = 255;
      bcolor = 0;
      return ;
    case 2:
      rcolor = 0;
      gcolor = 0;
      bcolor = 255;
      return ;
    case 3:
      rcolor = 190;
      gcolor = 190;
      bcolor = 190;
      return ;
    case 4:
      rcolor = 32;
      gcolor = 32;
      bcolor = 32;
      return ;
    case 5:
      rcolor = rand();
      gcolor = rand();
      bcolor = rand();
      return ;
    case 6:
      randomize = 1;
    }
}
